ikiwiki/ basewiki

The basewiki is a standard set of wiki pages that are included by default in all wikis that ikiwiki builds, unless the wiki overrides them with its own versions.

It currently includes these pages:

- index
- sandbox
- shortcuts
- templates
- formatting
- markdown
- login-selector
- pagespec
- directive
- subpage
- wikilink

As well as a few other files, like favicon.ico, local.css, style.css, and some icons.

Note that an important property of the basewiki is that it should be self-contained. That means that the pages listed above cannot link to pages outside the basewiki. Ikiwiki's test suite checks that the basewiki is self-contained, and from time to time links have to be removed (or replaced with `iki` shortcuts) to keep this invariant.